Endpoint Examples

/taxonomies

GET /{taxonomyDimension}

Get taxonomy dimension concepts.

URL Parameters

NameTypeDescription
datasetIdstringDataset ID.
Example: local-test-data
taxonomyDimensionstringDimension to filter on.
Example: company

Query Parameters

NameTypeDescription
termstringSpecify a search term to filter on.
This parameter is optional.
Example: 39742874
limitintegerSpecify the concept limit.
This parameter is optional.
Example: 10

autocomplete

boolean

booleanAutocomplete search terms. Only used in combination with q.
  • true - Performs fast prefix-enabled search using only primary and, if available, alternate names (alternate names currently available for ONET and skills).
  • false - Performs more extensive search using both name(s) and, if available, description (description currently only available for SOC and ONET search).

This parameter is optional.
Default: true

Code Examples

curl --request GET \
     --url https://api.lightcast.io/alumni-pathways/taxonomies \
     --header 'accept: application/json' \
     --header 'authorization: Bearer <ACCESS_TOKEN>'

Response Examples

{
  "data": [
    {
      "id": "11",
      "name": "Engineering"
    }
  ]
}
{
  "errors": [
    {
      "status": 404,
      "title": "Not found",
      "detail": "Invalid request path (dimension: foo): value is not a valid enumeration member; permitted: 'lotocc', 'lotspecocc'"
    }
  ]
}

GET/taxonomies/{taxonomyDimension}

Get taxonomy dimension concepts.

URL Parameters

NameTypeDescription
taxonomyDimensionstringDimension to filter on.
Example: title

Query Parameters

NameTypeDescription
accountIdstringOptional account id. If omitted, defaults to the active account when one exists; otherwise the first linked account. Use this when the client has more than one account.
termstringSpecify search term to filter on.
autocompletebooleanAutocomplete search terms. (Defaults to true)
limitintegerHow many search results to return.

Code Examples

curl --request GET \
     --url https://api.lightcast.io/alumni-pathways/taxonomies/taxonomyDimension \
     --header 'accept: application/json' \
     --header 'authorization: Bearer <ACCESS_TOKEN>'
     --header 'content-type: application/json' \

Response Examples

{
  "data": [
    {
      "id": "11",
      "name": "Engineering"
    }
  ]
}
{
  "errors": [
    {
      "status": 400,
      "title": "Bad request",
      "detail": "Unknown occupation 1234 for dimension lotocc"
    }
  ]
}
{
  "errors": [
    {
      "status": 404,
      "title": "Not found",
      "detail": "Invalid request path (dimension: foo): value is not a valid enumeration member; permitted: 'lotocc', 'lotspecocc'"
    }
  ]
}

POST taxonomies/{taxonomyDimension}

Lookup a taxonomy dimension value by ID.

URL Parameters

NameTypeDescription
datasetIdstringDataset ID.
Example: local-test-data
taxonomyDimensionstringDimension to filter on.
Example: company

Request Body

{
  "ids": [
    "11"
  ]
}

Code Examples

curl --request POST \
     --url https://api.lightcast.io/alumni-pathways/taxonomies/taxonomyDimension \
     --header 'accept: application/json' \
     --header 'authorization: Bearer <ACCESS_TOKEN>'
     --header 'content-type: application/json' \
     --data '{"ids":[]}'

Response Examples

{
  "data": [
    {
      "id": "11",
      "name": "Engineering"
    }
  ]
}
{
  "errors": [
    {
      "status": 400,
      "title": "Bad request",
      "detail": "Unknown occupation 1234 for dimension lotocc"
    }
  ]
}
{
  "errors": [
    {
      "status": 404,
      "title": "Not found",
      "detail": "Invalid request path (dimension: foo): value is not a valid enumeration member; permitted: 'lotocc', 'lotspecocc'"
    }
  ]
}